mod api;
mod cli;
mod state;
mod grpc {
    include!("grpc/churn.v1.rs");
}

mod agent;
mod server;

#[tokio::main]
async fn main() -> anyhow::Result<()> {
    dotenv::dotenv().ok();
    tracing_subscriber::fmt::init();

    cli::execute().await?;

    Ok(())
}
